/****** Object:  Database Galactic    Script Date: 5/23/2004 11:18:21 AM ******/
CREATE DATABASE [Galactic]
GO

exec sp_dboption N'Galactic', N'autoclose', N'false'
GO

exec sp_dboption N'Galactic', N'bulkcopy', N'false'
GO

exec sp_dboption N'Galactic', N'trunc. log', N'true'
GO

exec sp_dboption N'Galactic', N'torn page detection', N'true'
GO

exec sp_dboption N'Galactic', N'read only', N'false'
GO

exec sp_dboption N'Galactic', N'dbo use', N'false'
GO

exec sp_dboption N'Galactic', N'single', N'false'
GO

exec sp_dboption N'Galactic', N'autoshrink', N'false'
GO

exec sp_dboption N'Galactic', N'ANSI null default', N'false'
GO

exec sp_dboption N'Galactic', N'recursive triggers', N'false'
GO

exec sp_dboption N'Galactic', N'ANSI nulls', N'false'
GO

exec sp_dboption N'Galactic', N'concat null yields null', N'false'
GO

exec sp_dboption N'Galactic', N'cursor close on commit', N'false'
GO

exec sp_dboption N'Galactic', N'default to local cursor', N'false'
GO

exec sp_dboption N'Galactic', N'quoted identifier', N'false'
GO

exec sp_dboption N'Galactic', N'ANSI warnings', N'false'
GO

exec sp_dboption N'Galactic', N'auto create statistics', N'true'
GO

exec sp_dboption N'Galactic', N'auto update statistics', N'true'
GO

if( ( (@@microsoftversion / power(2, 24) = 8) and (@@microsoftversion & 0xffff >= 724) ) or ( (@@microsoftversion / power(2, 24) = 7) and (@@microsoftversion & 0xffff >= 1082) ) )
	exec sp_dboption N'Galactic', N'db chaining', N'false'
GO

use [Galactic]
GO

SET NOCOUNT ON

/****** Object:  Login GalacticReporting    Script Date: 5/23/2004 11:18:21 AM ******/
if not exists (select * from master.dbo.syslogins where loginname = N'GalacticReporting')
BEGIN
	declare @logindb nvarchar(132), @loginlang nvarchar(132) select @logindb = N'Galactic', @loginlang = N'us_english'
	if @logindb is null or not exists (select * from master.dbo.sysdatabases where name = @logindb)
		select @logindb = N'master'
	if @loginlang is null or (not exists (select * from master.dbo.syslanguages where name = @loginlang) and @loginlang <> N'us_english')
		select @loginlang = @@language
	exec sp_addlogin N'GalacticReporting', N'gds', @logindb, @loginlang
END
GO

